Subject: bug#3431 closed by Eli Zaretskii <[email-masked]> (Re: bug#3443: [h-e-w] 23.0.93; dired encoding)

From: [email-masked] (Emacs bug Tracking System)
Date: Wed, 08 Jul 2009 17:40:07 +0000

This is an automatic notification regarding your bug report
which was filed against the emacs,w32 package:

#3432: 23.0.93; dired encoding

It has been closed by Eli Zaretskii <[email-masked]>.

Their explanation is attached below along with your original report.
If this explanation is unsatisfactory and you have not received a
better one in a separate message then please contact Eli Zaretskii <[email-masked]> by
replying to this email.

-- 
3432: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=3432
Emacs Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#3443: [h-e-w] 23.0.93; dired encoding
From: Eli Zaretskii <[email-masked]>
To: Jason Rumney <[email-masked]>
Cc: [email-masked], [email-masked]
Date: Wed, 08 Jul 2009 20:32:48 +0300

> Date: Mon, 01 Jun 2009 23:37:36 +0800
> From: Jason Rumney <[email-masked]>
> CC: [email-masked], [email-masked]
> 
> Eli Zaretskii wrote:
> 
> > OK, but the solution should still be general, in `file-attributes',
> > and it is to decode the string by locale-coding-system, don't you
> > agree?
> >   
> 
> Yes, DECODE_SYSTEM should be used here.

Done (trunk and branch).

Subject: 23.0.93; dired encoding
From: Konstantin <[email-masked]>
To: [email-masked], [email-masked]
Date: Sun, 31 May 2009 18:51:08 +0400

Hi, Emacs maintainers!

I'he got the following trouble/bug.

I've tested it on emacs-from-cvs-090503, OS WinXP Home SP2.

On type M-x dired emacs shows \316\362\361\363\362\361\362\342\363\345\362 instead of root.

Here is example:

drwxrwxrwx  1 Administrators SYSTEM                                         0 05-30 13:34 Common Files
drwxrwxrwx  1 User           \316\362\361\363\362\361\362\342\363\345\362   0 01-19 00:10 Comodo

Emacs 22.3 if free of it:

drwxrwxrwx  1 User           root        0 05-30 13:34 Common Files
drwxrwxrwx  1 User           root        0 01-19 00:10 Comodo

My codepage is 1251.

I try to add my .emacs somthing like this:
(setq file-name-coding-system 'utf-8)
or
(setq file-name-coding-system 'cp1251)
but nothing changed.

---------------------------------------------

In GNU Emacs 23.0.93.1 (i386-mingw-nt5.1.2600)
 of 2009-05-03 on LENNART-69DE564
Windowing system distributor `Microsoft Corp.', version 5.1.2600
configured using `configure --with-gcc (3.4) --no-opt --cflags -Ic:/g/include -fno-crossjumping'

Important settings:
  value of $LC_ALL: nil
  value of $LC_COLLATE: nil
  value of $LC_CTYPE: nil
  value of $LC_MESSAGES: nil
  value of $LC_MONETARY: nil
  value of $LC_NUMERIC: nil
  value of $LC_TIME: nil
  value of $LANG: ru
  value of $XMODIFIERS: nil
  locale-coding-system: cp1251
  default-enable-multibyte-characters: t

Major mode: Dired by name

Minor modes in effect:
  tooltip-mode: t
  tool-bar-mode: t
  mouse-wheel-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  blink-cursor-mode: t
  global-auto-composition-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  line-number-mode: t
  transient-mark-mode: t

Recent input:
M-x d i r e d <return> <return> <help-echo> M-x r e 
p o r t - e m a c s - b u g <return>

Recent messages:
For information about GNU Emacs and the GNU system, type C-h C-a.

-- 
Konstantin <[email-masked]>